package com.javacodegeeks.android.androidlistviewexample;
 
import android.app.ListActivity;
import android.os.Bundle;
import android.widget.ListView;
import android.widget.Toast;
import android.view.View;
 
public class MainActivity extends ListActivity {
 
	static final String[] Android_logos = 
               new String[] { "Red Android Logo", "Green Android Logo", "Yellow Android Logo"};
 
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
 
		setListAdapter(new MyArrayAdapter(this, Android_logos));
 
	}
 
	@Override
	protected void onListItemClick(ListView l, View v, int position, long id) {
 
		String selectedValue = (String) getListAdapter().getItem(position);
		Toast.makeText(this, selectedValue, Toast.LENGTH_SHORT).show();
 
	}
 
}